-- mighty's teeter animation needs a unique animation speed
local mighty = chaotix.mighty

mighty.TeeterAnimation = function(p)
	local mo = p.mo
	if not (mo and mo.valid) then return end
	if (mo.skin != mighty.SKIN) then mo.mighty_teeterleveltime = nil return end
	
	if (mo.sprite2 != SPR2_EDGE) then mo.mighty_teeterleveltime = nil return end
	
	-- init vars
	if (mo.mighty_teeterleveltime == nil) then mo.mighty_teeterleveltime = leveltime end	-- so the animation always starts from the first frame
	local teetertime = leveltime - mo.mighty_teeterleveltime
	
	-- set frame
	local frames = 6	-- frame count of the animation
	local tics = 4	-- tics per frame
	chaotix.SetFrame(mo, (teetertime % (frames * tics)) / tics)
end