-- charmy takes additional knockback!
local charmy = chaotix.charmy

charmy.Knockback = function(p)
	local mo = p.mo
	if not ((mo and mo.valid) and mo.health) then return end
	
	-- usually we shouldnt get this unless we're charmy, but oh well it'd be funny
	if not (mo.charmy_knockback) then return end
	
	-- amplify our knockback!
	local multiplier = charmy.KnockbackMultiplier
	mo.momx = FixedMul(multiplier, $)
	mo.momy = FixedMul(multiplier, $)
	mo.momz = FixedMul(multiplier, $)
	mo.charmy_knockback = nil	-- remove this
end
chaotix.AddHook("MobjDamage", function(mo, inflictor, source)
	if not ((mo and mo.valid) and mo.health) then return end
	if (mo.skin != charmy.SKIN) then return end
	
	-- we'll need to trigger it a bit late, set a flag
	mo.charmy_knockback = true
end, MT_PLAYER)