-- all the hooks for espio
local espio = chaotix.espio

chaotix.AddHook("AbilitySpecial", espio.AbilitySpecial)	-- for the charge jump
chaotix.AddHook("PlayerHeight", espio.PlayerHeight)		-- for espio's roll height

-- main thinkframe
chaotix.AddHook("ThinkFrame", do
	espio.NoBlockmapRemoval()
	espio.BattleSetup()
	for p in players.iterate
		espio.Animations(p)
		if not (srb2p) then espio.DrillSpin(p) end
		espio.Teleport(p)
		espio.WallRun(p)
		if not (srb2p) then espio.CeilingCling(p) end
		espio.ShieldHider(p)
	end
	espio.LeafSwirlProtectionIterate() -- for removing protection tics during leaf swirl
end)

-- postthinkframe for the overlay
chaotix.AddHook("ThinkFrame", do
	for p in players.iterate
		espio.ColourShift(p)
	end
end)

chaotix.AddHook("ShouldDamage", espio.LeafSwirlProtect)	-- for protecting us from projectiles inside the leaf swirl
chaotix.AddHook("ShouldDamage", espio.TeleportShouldDamage, MT_PLAYER)	-- for protecting us while using the focus shift