-- the hooks to make everything work
local mighty = chaotix.mighty

chaotix.AddHook("PreThinkFrame", mighty.PreThinkFrame)	-- stop moving with the wall kick
chaotix.AddHook("AbilitySpecial", mighty.AbilitySpecial)	-- activate hammer drop

-- main thinkframe
chaotix.AddHook("ThinkFrame", do
	mighty.BattleSetup()
	mighty.HammerDropBattleTumble()
	for p in players.iterate
		mighty.TeeterAnimation(p)
		mighty.WallKick(p)
		mighty.HammerDrop(p)
		mighty.HammerDropSprings(p)
		mighty.ProtectionTics(p)
		mighty.ShellDeathThinker(p)
		mighty.Mighity(p)
	end
end)

chaotix.AddHook("PlayerThink", mighty.PlayerThink)	-- momentum on walls
chaotix.AddHook("ShouldDamage", mighty.ShouldDamage, MT_PLAYER)	-- main protection hook
chaotix.AddHook("MobjDeath", mighty.ShellDeath, MT_PLAYER)	-- shell death :)
chaotix.AddHook("MapLoad", mighty.MighityReset)	-- mighity.

hud.add(mighty.DrawHUDName, "game")	-- mighity.