local charmy = chaotix.charmy

chaotix.AddHook("AbilitySpecial", charmy.AbilitySpecial)
chaotix.AddHook("SpinSpecial", charmy.SpinSpecial)
chaotix.AddHook("JumpSpinSpecial", charmy.JumpSpinSpecial)

chaotix.AddHook("ThinkFrame", do
	charmy.BattleSetup()
	charmy.PollenMark()
	for p in players.iterate
		charmy.Knockback(p)
		charmy.SlowFall(p)
		charmy.QuickAscent(p)
		charmy.Stinger(p)
		charmy.Wings(p)
		charmy.Coop(p)
	end
end)

chaotix.AddHook("PlayerCanDamage", function(p)
	local mo = p.mo
	if not ((mo and mo.valid) and mo.health) then return end
	
	-- ascent stuff (let it damage while going up!)
	if (charmy.AbilityCheck(p, 1))
	and (mo.charmy_ascent)
		-- not thrusting yet? no damage!
		return (mo.charmy_ascent_tics != nil)
	end
	
	-- stinger stuff
	if (charmy.AbilityCheck(p, 2))
	and (mo.charmy_stinger)
		-- not thrusting yet? no damage!
		return (mo.charmy_stinger_tics != nil)	-- this tic timing is basically the thrust check at this point
	end
end)