-- charmy uses SF_HIRES to look smaller, but we still want overlay icons to be regular scale
local charmy = chaotix.charmy

chaotix.AddHook("MobjThinker", function(overlay)
	-- adjust scale when needed
	if (overlay.skin == charmy.SKIN)	-- gotta resize!
	and (overlay.sprite2 == SPR2_LIFE or overlay.sprite2 == SPR2_SIGN)	-- sprite2 check
		-- don't do this more than we have to!
		if (overlay.charmy_resetscale) then return end
		
		local scale = FixedDiv(FRACUNIT, skins[charmy.SKIN].highresscale)
		overlay.spritexscale = scale
		overlay.spriteyscale = scale
		
		-- just incase we need to reset this!
		overlay.charmy_resetscale = true
	else
		-- reset scale if need be
		if (overlay.charmy_resetscale)
			overlay.spritexscale = FRACUNIT
			overlay.spriteyscale = FRACUNIT
			overlay.charmy_resetscale = nil
		end
	end
end, MT_OVERLAY)