-- charmy's slowfall
local charmy = chaotix.charmy

charmy.SlowFall = function(p)
	local mo = p.mo
	if not ((mo and mo.valid) and mo.health) then return end
	
	-- ability check
	if not (charmy.AbilityCheck(p, 1))
		charmy.ResetQuickAscent(mo)
		return
	end
	
	-- slowfall checks
	if not (mo.state == S_PLAY_FALL) then return end
	if (CBW_Battle and p.exhaustmeter == 0) then return end	-- we're exhausted (battlemod)
	
	-- make our gravity lower
	if ((mo.momz * P_MobjFlip(mo)) < 0)	-- only when descending!
		mo.momz = $ - (FixedMul(P_GetMobjGravity(mo), charmy.SlowFallGravityModifier))
	end
end