-- all of vector's hooks
local vector = chaotix.vector

chaotix.AddHook("AbilitySpecial", vector.AbilitySpecial)	-- activate beat bash
chaotix.AddHook("MobjDeath", vector.HeadsetDeath)	-- headset popping off on death

chaotix.AddHook("ThinkFrame", do
	vector.BattleSetup()
	vector.BuildBeatBashPoses()
	for p in players.iterate
		vector.DrowningHeightFix(p)
		vector.Jukebox(p)
		vector.RunningThinker(p)
		vector.TeeterAnimation(p)
		vector.NiGHTSFinishState(p)
		vector.AccelSpindash(p)
		vector.BeatBash(p)
		vector.HeadsetDeathThinker(p)
	end
	vector.JukeboxCaptions()
end)

chaotix.AddHook("MobjCollide", vector.BeatBashCollide, MT_PLAYER)
chaotix.AddHook("MobjMoveCollide", vector.BeatBashCollide, MT_PLAYER)